<!-- component -->
<body class="antialiased font-sans bg-gray-200">
  <div class="container mx-auto px-4 sm:px-8">
      <div class="py-8">
          <div>
              <h2 class="text-2xl font-semibold leading-tight">Users</h2>
          </div>
          <div class="my-2 flex sm:flex-row flex-col">
              <div class="flex flex-row mb-1 sm:mb-0">
                  <div class="relative">
                      <select [(ngModel)]="pageSize" (change)="onParamsChange()"
                          class="appearance-none h-full rounded-l border block appearance-none w-full bg-white border-gray-400 text-gray-700 py-2 px-4 pr-8 leading-tight focus:outline-none focus:bg-white focus:border-gray-500">
                          <option>10</option>
                          <option>20</option>
                          <option>50</option>
                          <option>100</option>
                      </select>
                      <div
                          class="pointer-events-none absolute inset-y-0 right-0 flex items-center px-2 text-gray-700">
                          <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                              <path d="M9.293 12.95l.707.707L15.657 8l-1.414-1.414L10 10.828 5.757 6.586 4.343 8z" />
                          </svg>
                      </div>
                  </div>
              </div>
              <div class="block relative">
                  <span class="h-full absolute inset-y-0 left-0 flex items-center pl-2">
                      <svg viewBox="0 0 24 24" class="h-4 w-4 fill-current text-gray-500">
                          <path
                              d="M10 4a6 6 0 100 12 6 6 0 000-12zm-8 6a8 8 0 1114.32 4.906l5.387 5.387a1 1 0 01-1.414 1.414l-5.387-5.387A8 8 0 012 10z">
                          </path>
                      </svg>
                  </span>
                  <input placeholder="Nombre" [(ngModel)]="filterName" (input)="onParamsChange()"
                      class="appearance-none rounded-r rounded-l sm:rounded-l-none border border-gray-400 border-b block pl-8 pr-6 py-2 w-full bg-white text-sm placeholder-gray-400 text-gray-700 focus:bg-white focus:placeholder-gray-600 focus:text-gray-700 focus:outline-none" />
              </div>
              <div class="block relative">
                  <span class="h-full absolute inset-y-0 left-0 flex items-center pl-2">
                      <svg viewBox="0 0 24 24" class="h-4 w-4 fill-current text-gray-500">
                          <path
                              d="M10 4a6 6 0 100 12 6 6 0 000-12zm-8 6a8 8 0 1114.32 4.906l5.387 5.387a1 1 0 01-1.414 1.414l-5.387-5.387A8 8 0 012 10z">
                          </path>
                      </svg>
                  </span>
                  <input placeholder="Apellido" [(ngModel)]="filterSurname" (input)="onParamsChange()"
                      class="appearance-none rounded-r rounded-l sm:rounded-l-none border border-gray-400 border-b block pl-8 pr-6 py-2 w-full bg-white text-sm placeholder-gray-400 text-gray-700 focus:bg-white focus:placeholder-gray-600 focus:text-gray-700 focus:outline-none" />
              </div>
              <div class="block relative">
                  <span class="h-full absolute inset-y-0 left-0 flex items-center pl-2">
                      <svg viewBox="0 0 24 24" class="h-4 w-4 fill-current text-gray-500">
                          <path
                              d="M10 4a6 6 0 100 12 6 6 0 000-12zm-8 6a8 8 0 1114.32 4.906l5.387 5.387a1 1 0 01-1.414 1.414l-5.387-5.387A8 8 0 012 10z">
                          </path>
                      </svg>
                  </span>
                  <input placeholder="Correo Electronico" [(ngModel)]="filterEmail" (input)="onParamsChange()"
                      class="appearance-none rounded-r rounded-l sm:rounded-l-none border border-gray-400 border-b block pl-8 pr-6 py-2 w-full bg-white text-sm placeholder-gray-400 text-gray-700 focus:bg-white focus:placeholder-gray-600 focus:text-gray-700 focus:outline-none" />
              </div>
          </div>
          <div class="-mx-4 sm:-mx-8 px-4 sm:px-8 py-4 overflow-x-auto">
              <div class="inline-block min-w-full shadow rounded-lg overflow-hidden">
                  <table class="min-w-full leading-normal">
                      <thead>
                          <tr>
                              <th
                                  class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                                  Usuario
                              </th>
                              <th
                                  class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                                  Nombre
                              </th>
                              <th
                                  class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                                  Apellido1
                              </th>
                              <th
                                  class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                                  Apellido2
                              </th>
                              <th
                                  class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                                  Correo Electrónico
                              </th>
                          </tr>
                      </thead>
                      <tbody>
                          <tr *ngFor="let user of users">
                              <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                  <div class="flex items-center">
                                      <div class="ml-3">
                                          <p class="text-gray-900 whitespace-no-wrap">
                                              Usuario {{ user.id }}
                                          </p>
                                      </div>
                                  </div>
                              </td>
                              <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                  <p class="text-gray-900 whitespace-no-wrap">
                                    {{ user.name }}
                                  </p>
                              </td>
                              <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                  <p class="text-gray-900 whitespace-no-wrap">
                                      {{ user.surname1 }}
                                  </p>
                              </td>
                              <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                <p class="text-gray-900 whitespace-no-wrap">
                                  {{ user.surname2 }}
                                </p>
                              </td>
                              <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                <p class="text-gray-900 whitespace-no-wrap">
                                  {{ user.email }}
                                </p>
                              </td>
                          </tr>
                      </tbody>
                  </table>
                  <div
                      class="px-5 py-5 bg-white border-t flex flex-col xs:flex-row items-center xs:justify-between          ">
                      <span *ngIf="lastResult < totalResult" class="text-xs xs:text-sm text-gray-900">
                          Mostrando {{firstResult}} a {{lastResult}} de {{totalResult}} Resultados
                      </span>
                      <span *ngIf="lastResult >= totalResult" class="text-xs xs:text-sm text-gray-900">
                        Mostrando {{firstResult}} a {{totalResult}} de {{totalResult}} Resultados
                      </span>
                      <div class="inline-flex mt-2 xs:mt-0">
                          <button *ngIf="actualPage > 1" (click)="previousPage()"
                              class="text-sm bg-gray-300 hover:bg-gray-400 text-gray-800 font-semibold py-2 px-4 rounded-l">
                              Anterior
                          </button>
                          <button *ngFor="let page of pagesList" (click)="onParamsChange(page)"
                              [ngClass]="{'active-page': actualPage === page}"
                              class="text-sm bg-gray-300 hover:bg-gray-400 text-gray-800 font-semibold py-2 px-4 rounded">
                              {{page}}
                          </button>
                          <button *ngIf="actualPage < totalPages" (click)="nextPage()"
                              class="text-sm bg-gray-300 hover:bg-gray-400 text-gray-800 font-semibold py-2 px-4 rounded-r">
                              Siguiente
                          </button>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</body>
